Prediction Market User
GET
https://api.unusualwhales.com/api/predictions/user/{user_id}
Request
Security:
Bearer Auth
Authorization: Bearer <token>
Path Parameters
user_id
string
required
Responses
200 404 422 500Response Body 200 OK
address_tags
array[string]
Example:
[]
categories
array[string]
Example:
["Crypto","Culture","Finance","Games","Mentions","Other","Politics","Sports","Weather"]
category_scores
array[Prediction Market User Category Score]
positions
array[Prediction Market User Position]
score
object
Aggregate score across all categories, or null if not yet scored.
tag_info
array[Prediction Tag Info]
total_trades
integer
Example:
128
trades
array[Prediction Market User Trade]
user_address
string
Example:
0x5140e6529f2108469c9386ad5acd7acb8cddae0c
user_name
string
Example:
whale_watcher
Try It
GET
Path Parameters
Request Sample
curl -X GET "https://api.unusualwhales.com/api/predictions/user/{user_id}" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Accept: application/json"
Response Example
200
{
"data": {
"address_tags": [],
"categories": [
"Crypto",
"Culture",
"Finance",
"Games",
"Mentions",
"Other",
"Politics",
"Sports",
"Weather"
],
"category_scores": [
null
],
"positions": [
null
],
"score": null
}
}